{% extends "base.html" %}

{% block header %}
    {% if request.user.is_authenticated %}
        <style>
            .nav-link, .navbar-brand {
                color: white !important;
            }

            .nav-link:hover, .navbar-brand:hover {
                color: #ccc !important;
            }
        </style>
        <nav class="navbar navbar-expand-md navbar-light" style="background-color: #009612" role="navigation">
            <div class="container-fluid">
                <a href="{% url 'home_page' %}" class="navbar-brand">
                    GAIA
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbar_content" aria-controls="navbar_content"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse justify-content-between" id="navbar_content">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a href="{% url 'profile_home' %}" class="nav-link">
                                Ma page
                            </a>
                        </li>

                        {% if user.statut == user.Statuts.PAYSAN %}
                            <li class="nav-item">
                                <a href="{% url 'mes_fermes' %}" class="nav-link">
                                    Mes fermes
                                </a>
                            </li>
                        {% endif %}

                        <li class="nav-item">
                            <a href="{% url 'my_contrats' %}" class="nav-link">
                                Mes contrats
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{% url 'my_adhesions' %}" class="nav-link">
                                Mes adhésions
                            </a>
                        </li>

                        {% if user.statut == user.Statuts.GESTIONNAIRE %}
                            <li class="nav-item">
                                <a href="{% url 'farms_list_admin' %}" class="nav-link">
                                    Les fermes
                                </a>
                            </li>
                        {% endif %}

                        {% comment %}
                    <li class="nav-item">
                        <a href="" class="nav-link">
                            Mes paiements
                        </a>
                    </li>
                    {% endcomment %}



                    </ul>
                    <ul class="navbar-nav">
                        {% comment %}
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                            Mon compte
                        </a>
                    </li>
                    {% endcomment %}
                        
                        {% if user.is_gestionnaire %}
                            <li class="nav-item">
                                <a href="{% url 'admin_dashboard' %}" class="nav-link">
                                    Dashboard
                                </a>
                            </li>
                        {% endif %}
                        {% if user.is_staff %}
                            <li class="nav-item">
                                <a href="{% url 'admin:index' %}" class="nav-link">
                                    Administration
                                </a>
                            </li>
                        {% endif %}
                        <li class="nav-item">
                            <a href="{% url 'profile_edit' %}" class="nav-link">
                                Mon profil
                            </a>
                        </li>

                        <li class="nav-item ml-md-auto">
                            <a href="{% url 'logout' %}" class="nav-link">
                                Déconnexion
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        {% comment %}

    <a href="{% url 'profile_home' %}" class="btn btn-secondary">
        Ma page
    </a>

    {% if user.statut == user.Statuts.PAYSAN %}
        <a href="{% url 'mes_fermes' %}" class="btn btn-secondary">
            Mes fermes
        </a>
    {% endif %}

    <a href="{% url 'my_contrats' %}" class="btn btn-secondary">
        Mes contrats
    </a>
    <a href="{% url 'my_adhesions' %}" class="btn btn-secondary">
        Mes adhésions
    </a>
    <a href="" class="btn btn-secondary">
        Mes paiements
    </a>
    <a href="#" class="btn btn-secondary">
        Mes informations
    </a>

    {% if user.is_staff %}
        <a href="{% url 'admin:index' %}" class="btn btn-secondary">
            Administration
        </a>

        <a href="{% url 'register_multiple_distributions' %}" class="btn btn-warning">
            [TEMP] Fast distribs
        </a>
    {% endif %}

    <a href="{% url 'logout' %}" class="btn btn-secondary">
        Déconnexion
    </a>
    {% endcomment %}
    {% else %}
        <nav class="navbar navbar-expand-md navbar-dark" style="background-color: #009612">
            <div class="container-fluid">
                <a class="navbar-brand" href="{% url 'home_page' %}">
                    GAIA
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbar_content" aria-controls="navbar_content"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse d-flex justify-content-end" id="navbar_content">
                    <div class="navbar-nav">
                        <a href="{% url 'login' %}" class="btn my-2 mx-2"
                           style="background-color: #838b93; color: #eee; border-color: #494c4f;"
                        >
                            Connexion
                        </a>
                        <a href="{% url 'register' %}" class="btn my-2 mx-2"
                           style="background-color: #E2F1E4; color: #00750E; border-color: #00750E;"
                        >
                            Inscription
                        </a>
                    </div>
                </div>
            </div>
        </nav>
    {% endif %}
{% endblock %}

{% block content %}
    {{ generic_template_content | safe }}
{% endblock %}

{% block inner_footer %}
    {% comment %}
    <nav class="row">
        <div class="col-3">
            <h5>Navigation</h5>
            <ul class="nav flex-column">
                <li class="nav-item">
                    <a href="{% url 'profile_home' %}" class="nav-link p-0 text-muted">
                        Ma page
                    </a>
                </li>

                {% if user.statut == user.Statuts.PAYSAN %}
                    <li class="nav-item">
                        <a href="{% url 'mes_fermes' %}" class="nav-link p-0 text-muted">
                            Mes fermes
                        </a>
                    </li>
                {% endif %}

                <li class="nav-item">
                    <a href="{% url 'my_contrats' %}" class="nav-link p-0 text-muted">
                        Mes contrats
                    </a>
                </li>

                <li class="nav-item">
                    <a href="{% url 'my_adhesions' %}" class="nav-link p-0 text-muted">
                        Mes adhésions
                    </a>
                </li>

                <li class="nav-item">
                    <a href="" class="nav-link p-0 text-muted">
                        Mes paiements
                    </a>
                </li>
            </ul>
        </div>
    </nav>
    {% endcomment %}
{% endblock %}